<?php require_once('../Connections/paivaconex.php'); ?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

if ((isset($_GET['del'])) && ($_GET['del'] != "")) {
  $deleteSQL = sprintf("DELETE FROM mfin_pagamentos_2 WHERE Id=%s",
                       GetSQLValueString($_GET['del'], "int"));

  mysql_select_db($database_paivaconex, $paivaconex);
  $Result1 = mysql_query($deleteSQL, $paivaconex) or die(mysql_error());
}


//USING
require_once 'controls/verifylogin.php';
require_once('Connections/paivaconex.php'); 
require_once('funcoes.php'); 


//Filtros de Select

$Result1 ='WHERE  mfin_pagamentos.Id=0';

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form2")) {
  
	if ($_POST['rec_recebimento_min'] != "") { $quando[] = "DtPagamento >= '".convertdata($_POST['rec_recebimento_min'])."'"; }
	if ($_POST['rec_recebimento_max'] != "") { $quando[] = "DtPagamento <= '".convertdata($_POST['rec_recebimento_max'])."'"; }
	if ($_POST['rec_vencimento_min'] != "") { $quando[] = "Vencimento >= '".convertdata($_POST['rec_vencimento_min'])."'"; }
	if ($_POST['rec_vencimento_max'] != "") { $quando[] = "Vencimento <= '".convertdata($_POST['rec_vencimento_max'])."'"; }
	if ($_POST['rec_emissao_min'] != "") { $quando[] = "Emissao >= '".convertdata($_POST['rec_emissao_min'])."'"; }
	if ($_POST['rec_emissao_max'] != "") { $quando[] = "Emissao <= '".convertdata($_POST['rec_emissao_max'])."'"; }
	if ($_POST['cli_nome'] != "") { $quando[] = "mfin_fornecedores.NomeFantasia LIKE '%".$_POST['cli_nome']."%'"; }
	if ($_POST['cli_real'] != "") { $quando[] = "mfin_clientes.NomeFantasia LIKE '%".$_POST['cli_real']."%'"; }
	if ($_POST['pasta'] != "") { $quando[] = "mfin_pastas.Numero LIKE '%".$_POST['pasta']."%'"; }
	if ($_POST['rec_n_fatura'] != "") { $quando[] = "NumFatura LIKE '%".$_POST['rec_n_fatura']."%'"; }
	
	if ($_POST['vb_min'] != "") { $quando[] = "Valor- Ir- Pis- Cofins- Csll- Inss- Iss+ Juros- Desconto+ Multa >= '".numerobrasil($_POST['vb_min'])."'"; }
	if ($_POST['vb_max'] != "") { $quando[] = "Valor- Ir- Pis- Cofins- Csll- Inss- Iss+ Juros- Desconto+ Multa <= '".numerobrasil($_POST['vb_max'])."'"; }
                      

	if (isset($quando)){  
  $Result1 = "WHERE ".implode( " AND ", $quando);
	}else{
		$Result1= '';}
	
}


if (isset($_GET['data_ini'])) {

	if (isset($_GET['data_ini'])) { $quando[] = "if(DtPagamento <> '0', DtPagamento, Vencimento) = '".convertdata($_GET['data_ini'])."'"; }
	if (isset($_GET['ContaResultado'])) { $quando[] = "mfin_fornecedores.ContaResultado = ".$_GET['ContaResultado'].""; }
  
  $Result1 = "WHERE ".implode( " AND ", $quando);
	

}



//Select
mysql_select_db($database_paivaconex, $paivaconex);
$query_clientes = "Select 
Valor- Ir- Pis- Cofins- Csll- Inss- Iss+ Juros- Desconto+ Multa+ diferenca+ outros As vl, mfin_pagamentos.Id AS pag_id, mfin_fornecedores.NomeFantasia AS fornec_nome, mfin_clientes.NomeFantasia AS cli_nome, cli_2.NomeFantasia AS cli_nome_principal, mfin_pastas.Numero AS pasta_num, mfin_pastas.Nome AS pasta_det,
if(isnull(DtPagamento),'',DATE_FORMAT(Vencimento, '%d/%m/%Y')) as dt_pag from mfin_pagamentos
Inner Join mfin_clientes ON Cliente = mfin_clientes.Id
Inner Join mfin_fornecedores ON Fornecedor = mfin_fornecedores.Id
Left Join mfin_pastas ON Pasta = mfin_pastas.Id
Left Join (Select Id as pag_id_2, Cliente as cli_id_2 From mfin_pagamentos_2 ) pagamento_2 ON mfin_pagamentos.Id_pag_pai = pag_id_2
Left Join mfin_clientes as cli_2 ON cli_id_2 = cli_2.Id

".$Result1;
$clientes = mysql_query($query_clientes, $paivaconex) or die(mysql_error());
$row_clientes = mysql_fetch_assoc($clientes);
$totalRows_clientes = mysql_num_rows($clientes);


?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head><meta http-equiv="Content-Type" content="text/html; charset=windows-1252">

<title>Módulo Financeiro</title>
<script src="js/jquery-1.8.3.min.js" type="text/javascript"></script>
<script src="js/jquery.mask.js" type="text/javascript"></script>
<script>
        jQuery(function($){
		   $("input[name=rec_recebimento_min]").mask("99/99/9999");
		   $("input[name=rec_recebimento_max]").mask("99/99/9999");
		   $("input[name=rec_vencimento_min]").mask("99/99/9999");
		   $("input[name=rec_vencimento_max]").mask("99/99/9999");
		   $("input[name=rec_emissao_min]").mask("99/99/9999");
		   $("input[name=rec_emissao_max]").mask("99/99/9999");
                   $(".numeralbrasil").mask('000.000.000.000,00', {reverse: true});
		   
		   
		 });
        
</script>








<?php include_once('controls/import.php'); ?>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Pagamentos</div>


<form action="pagamentos.php" method="post" name="form2" id="form2">
        <table align="center">
          <tr>
            <td width="91">Pagamento:</td>
            <td width="292">De:
              <label for="rec_recebimento_min"></label>
            <input type="text" name="rec_recebimento_min" id="rec_recebimento_min" /></td>
            <td width="290">Ate:
              <label for="rec_recebimento_max"></label>
            <input type="text" name="rec_recebimento_max" id="rec_recebimento_max" /></td>
          </tr>
          <tr>
            <td>Vencimento:</td>
            <td>De:
            <input type="text" name="rec_vencimento_min" id="rec_vencimento_min" /></td>
            <td>Ate:
            <input type="text" name="rec_vencimento_max" id="rec_vencimento_max" /></td>
          </tr>
          <tr>
            <td>Emiss&atilde;o:</td>
            <td>De:
            <input type="text" name="rec_emissao_min" id="rec_emissao_min" /></td>
            <td>Ate:
            <input type="text" name="rec_emissao_max" id="rec_emissao_max" /></td>
          </tr>
          <tr>
            <td>Fornencedor:</td>
            <td colspan="2"><label for="cli_nome"></label>
            <input name="cli_nome" type="text" id="cli_nome" size="80" /></td>
          </tr>
          <tr>
            <td>Cliente:</td>
            <td colspan="2">
            <input name="cli_real" type="text" id="cli_nome" size="80" /></td>
          </tr>
          <tr>
            <td>Numero Pasta:</td>
            <td colspan="2">
            <input name="pasta" type="text" id="cli_nome" size="80" /></td>
          </tr>
          <tr>
            <td>NF</td>
            <td colspan="2"><input name="rec_n_fatura" type="text" id="rec_n_fatura" size="80" /></td>
          </tr>
          <tr>
            <td>Valor Bruto</td>
            <td>De:
            <input type="text" name="vb_min" id="vb_min" class="numeralbrasil" /></td>
            <td>Ate:
            <input type="text" name="vb_max" id="vb_max" class="numeralbrasil" /></td>
          </tr>
        </table>
        <p>
          <input type="submit" name="pesquisa" id="pesquisa" value="Pesquisar" />
        </p>
        <p>&nbsp;</p>
        <input type="hidden" name="MM_insert" value="form2" />
      </form>



<div class="pg-botoes" style="float: right;"><a href="cadpagamentos.php"
	class="submit"> cadastrar </a></div>
<br clear="all" />
<table border="0" cellpadding="3" cellspacing="0"
	class="gridPesquisa fundoGridPesquisa" width="100%">
	<tr>
		<th>Fornecedor</th>
        <th>Pasta</th>
		<th>Cliente Principal</th>
		<th>Cliente</th>
		<th>Valor</th>
		<th>Data Vencimento</th>
		<th></th>

	</tr>

	<?php

	do {

		echo "<tr>";
		
		echo "<td> <a href='cadpagamentos_alteracao.php?id=".$row_clientes['pag_id']."'> ".$row_clientes['fornec_nome']." </a></td>";
		echo "<td> <a href='cadpagamentos_alteracao.php?id=".$row_clientes['pag_id']."'> ".$row_clientes['pasta_num'].' '.$row_clientes['pasta_det']." </a></td>";
		echo "<td> <a href='cadpagamentos_alteracao.php?id=".$row_clientes['pag_id']."'> ".$row_clientes['cli_nome_principal']." </a></td>";
		echo "<td> <a href='cadpagamentos_alteracao.php?id=".$row_clientes['pag_id']."'> ".$row_clientes['cli_nome']." </a></td>";
		echo "<td> <a href='cadpagamentos_alteracao.php?id=".$row_clientes['pag_id']."'> ".number_format($row_clientes['vl'],2,',','.')." </a></td>";
		echo "<td> <a href='cadpagamentos_alteracao.php?id=".$row_clientes['pag_id']."'> ".$row_clientes['dt_pag']." </a></td>";
		echo "<td> <a href='pagamentos.php?del=".$row_clientes['pag_id']."' onclick='return DeleteItem();'> <img src='images/ico-minus.png' /> </a> </td>";
		echo "</tr>";
	} while ($row_clientes = mysql_fetch_assoc($clientes));

	?>

</table>
</div>

</div>

</div>

	<?php include_once('controls/footer.php'); ?>

</body>
</html>